Mid-month modification of monthly auto-refill
curl --request POST \
--url https://api.gofermata.com/v1/accounts/{account_id}/modifymidmonth \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "string",
"denomination": "string",
"amount": "integer",
"usd_charge": "string",
"dryrun": true
}
'import requests
url = "https://api.gofermata.com/v1/accounts/{account_id}/modifymidmonth"
payload = {
"account_id": "string",
"denomination": "string",
"amount": "integer",
"usd_charge": "string",
"dryrun": True
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_id: 'string',
denomination: 'string',
amount: 'integer',
usd_charge: 'string',
dryrun: true
})
};
fetch('https://api.gofermata.com/v1/accounts/{account_id}/modifymidmonth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account_id": "<string>",
"isdryrun": true,
"amount": 123,
"denomination": "<string>",
"refill_amount": 123,
"refill_day": 123,
"refill_usd_amount": 123,
"usd_amount_charged": "<string>"
}
}APIs
Mid-month modification of monthly auto-refill
This endpoint changes the auto-refill monthly setting on the account balance in a prorated way. It is only used to increase the refill amount. It follows the following process: Issue new tokens to account for given cost Figure out value of remaining tokens from previous refill and subtract that amount from the cost of the new refill Cancel all remaining tokens from previous refill User’s credit card is charged that prorated calculated cost User’s refill day is modified to start a new month today
POST
/
v1
/
accounts
/
{account_id}
/
modifymidmonth
Mid-month modification of monthly auto-refill
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Body
application/json
Response
200 - application/json
OK
Show child attributes
Show child attributes
⌘I